net.minecraft.entity.item

## Class EntityFireworkRocket

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.item.EntityFireworkRocket

-     public class EntityFireworkRocket
      extends Entity

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityFireworkRocket(World par1World)`
    `EntityFireworkRocket(World par1World, double par2, double par4, double par6, ItemStack par8ItemStack)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canAttackWithItem()`
    `protected void` | `entityInit()`
    `float` | `getBrightness(float par1)`
    `int` | `getBrightnessForRender(float par1)`
    `float` | `getShadowSize()`
    `void` | `handleHealthUpdate(byte par1)`
    `boolean` | `isInRangeToRenderDist(double par1)`
    `void` | `onUpdate()`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setVelocity(double par1, double par3, double par5)`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canBeCollidedWith, canBePushed, canRenderOnFire, canRiderInteract, canTriggerWalking, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, fall, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getCollisionBorderSize, getCollisionBox, getCommandSenderName, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getEyeHeight, getFlag, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, kill, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setBeenAttacked, setCurrentItemOrArmor, setDead, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotation, setRotationYawHead, setSize, setSneaking, setSprinting, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateFallState, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityFireworkRocket

          public EntityFireworkRocket(World par1World)

    - #### EntityFireworkRocket

          public EntityFireworkRocket(World par1World,
                              double par2,
                              double par4,
                              double par6,
                              ItemStack par8ItemStack)

  - ### Method Detail

    - #### entityInit

          protected void entityInit()

      Specified by:
        `entityInit` in class `Entity`

    - #### isInRangeToRenderDist

          public boolean isInRangeToRenderDist(double par1)

      Overrides:
        `isInRangeToRenderDist` in class `Entity`

    - #### setVelocity

          public void setVelocity(double par1,
                         double par3,
                         double par5)

      Overrides:
        `setVelocity` in class `Entity`

    - #### onUpdate

          public void onUpdate()

      Overrides:
        `onUpdate` in class `Entity`

    - #### handleHealthUpdate

          public void handleHealthUpdate(byte par1)

      Overrides:
        `handleHealthUpdate` in class `Entity`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `writeEntityToNBT` in class `Entity`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `readEntityFromNBT` in class `Entity`

    - #### getShadowSize

          public float getShadowSize()

      Overrides:
        `getShadowSize` in class `Entity`

    - #### getBrightness

          public float getBrightness(float par1)

      Overrides:
        `getBrightness` in class `Entity`

    - #### getBrightnessForRender

          public int getBrightnessForRender(float par1)

      Overrides:
        `getBrightnessForRender` in class `Entity`

    - #### canAttackWithItem

          public boolean canAttackWithItem()

      Overrides:
        `canAttackWithItem` in class `Entity`